﻿using UnityEngine;
using System.Collections;

public class PlayerController : MonoBehaviour {

	public float Speed = 1.0f;		/// 移動速度 m/s
	public float Jump = 10.0f;		/// ジャンプ力

	Rigidbody	m_rigidbody;

	void Start() {
		m_rigidbody = GetComponent<Rigidbody> ();
	}


	// Update is called once per frame
	void Update () {
		Vector3 pos = transform.position;

		float moveLength = Speed * Time.smoothDeltaTime;

		if (Input.GetKey (KeyCode.UpArrow))
		{
			pos.z += moveLength;
		}
		else if (Input.GetKey (KeyCode.DownArrow))
		{
			pos.z -= moveLength;
		}
		else if (Input.GetKey (KeyCode.LeftArrow))
		{
			pos.x -= moveLength;
		}
		else if (Input.GetKey (KeyCode.RightArrow))
		{
			pos.x += moveLength;
		}

		if (Input.GetKey (KeyCode.Space))
		{
			m_rigidbody.AddForce (Vector3.up * Jump, ForceMode.Impulse);
		}
		else
		{
			m_rigidbody.AddForce (Vector3.down * Jump * 2, ForceMode.Impulse);
		}

		transform.position = pos;
	}
}
